Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoMotion3Event Class Reference
[Event classes]

`#include <Inventor/events/SoMotion3Event.h>`

Inheritance diagram for SoMotion3Event:

List of all members.

## Detailed Description

The SoMotion3Event class contains information about 3D movement events.

Motion3 events are generated by devices capable of "3D motion", for instance spaceballs. Instances of this class contains information about these devices' translations and rotations in all 3 dimensions.

See also:
  SoEvent, SoLocation2Event

  SoEventCallback, SoHandleEventAction

## Public Member Functions
| SoMotion3Event (void)
virtual | ~SoMotion3Event ()
void | setTranslation (const SbVec3f &t)
const SbVec3f & | getTranslation (void) const
void | setRotation (const SbRotation &r)
const SbRotation & | getRotation (void) const
## Static Public Member Functions
void | initClass (void)

## Constructor & Destructor Documentation

SoMotion3Event::SoMotion3Event | ( | void |  | ) |

| Constructor. Resets values for translation and rotation information.

SoMotion3Event::~SoMotion3Event | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

void SoMotion3Event::setTranslation | ( | const SbVec3f & | t | ) |

| Sets the translation value of this event. Method is used by the window specific device class(es) generating the event. See also: getTranslation()

const SbVec3f & SoMotion3Event::getTranslation | ( | void |  | ) | const

| Returns translation value. Note that translation are specified relative to former events, i.e. the values given here are not accumulated global coordinates. See also: getTime()

void SoMotion3Event::setRotation | ( | const SbRotation & | r | ) |

| Sets the rotation value of this event. Method is used by the window specific device class(es) generating the event.

const SbRotation & SoMotion3Event::getRotation | ( | void |  | ) | const

| Returns rotational value. Note that rotations are specified relative to former events, i.e. the values given here are not accumulated rotations. See also: getTime()

void SoMotion3Event::initClass | ( | void |  | ) | `[static]`

| Initialize the type information data. Reimplemented from SoEvent.

The documentation for this class was generated from the following files:

- SoMotion3Event.h
- SoMotion3Event.cpp